﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" encoding="Shift_JIS" />
<xsl:template match="/">
<html>
<head>
<title>アイテムリスト</title>
</head>
<body>
<xsl:for-each select="アイテムリスト/アイテム">
	<xsl:sort select="@item-type" data-type="number" order="ascending" />
	<!-- 装備可能アイテムのみ item-type<=33 を表示 -->
	<xsl:if test="@item-type &lt;= '33'">
<!-- 
		<b>
			<xsl:text disable-output-escaping="yes">
			</xsl:text>
-->
			#x<xsl:value-of select="@id" />:
			<xsl:if test="@isDX = 'True'">[DX]</xsl:if>
			<xsl:if test="@isEX = 'True'">[EX]</xsl:if>
			<xsl:if test="@isUM = 'True'">[UM]</xsl:if>
			<xsl:value-of select="アイテム名" />
			<xsl:choose>
				<xsl:when test="@item-type = '0'">[帽子系]</xsl:when>
				<xsl:when test="@item-type = '1'">[冠系]</xsl:when>
				<xsl:when test="@item-type = '2'">[グローブ]</xsl:when>
				<xsl:when test="@item-type = '3'">[槍投擲機系]</xsl:when>
				<xsl:when test="@item-type = '4'">[爪系]</xsl:when>
				<xsl:when test="@item-type = '5'">[手首系]</xsl:when>
				<xsl:when test="@item-type = '6'">[ベルト系]</xsl:when>
				<xsl:when test="@item-type = '7'">[足系]</xsl:when>
				<xsl:when test="@item-type = '8'">[首系]</xsl:when>
				<xsl:when test="@item-type = '9'">[指輪系]</xsl:when>
				<xsl:when test="@item-type = '10'">[イヤリング系]</xsl:when>
				<xsl:when test="@item-type = '11'">[マント系]</xsl:when>
				<xsl:when test="@item-type = '12'">[ブローチ系]</xsl:when>
				<xsl:when test="@item-type = '13'">[腕刺青系]</xsl:when>
				<xsl:when test="@item-type = '14'">[肩刺青系]</xsl:when>
				<xsl:when test="@item-type = '15'">[十字架系]</xsl:when>
				<xsl:when test="@item-type = '16'">[鎧系]</xsl:when>
				<xsl:when test="@item-type = '17'">[職業鎧系]</xsl:when>
				<xsl:when test="@item-type = '18'">[片手剣系]</xsl:when>
				<xsl:when test="@item-type = '19'">[盾系]</xsl:when>
				<xsl:when test="@item-type = '20'">[両手剣系]</xsl:when>
				<xsl:when test="@item-type = '21'">[杖系]</xsl:when>
				<xsl:when test="@item-type = '22'">[牙系]</xsl:when>
				<xsl:when test="@item-type = '23'">[鈍器系]</xsl:when>
				<xsl:when test="@item-type = '24'">[翼系]</xsl:when>
				<xsl:when test="@item-type = '25'">[投擲系]</xsl:when>
				<xsl:when test="@item-type = '26'">[弓系]</xsl:when>
				<xsl:when test="@item-type = '27'">[矢系]</xsl:when>
				<xsl:when test="@item-type = '28'">[槍系]</xsl:when>
				<xsl:when test="@item-type = '29'">[笛系]</xsl:when>
				<xsl:when test="@item-type = '30'">[スリング系]</xsl:when>
				<xsl:when test="@item-type = '31'">[弾系]</xsl:when>
				<xsl:when test="@item-type = '32'">[ステッキ系]</xsl:when>
				<xsl:when test="@item-type = '33'">[鞭系]</xsl:when>
			</xsl:choose>
<!-- 
		</b>
-->
		<br />
	
		パラメータ：[#0:
		<xsl:value-of select="パラメタリスト/パラメタ0" />
		～<xsl:value-of select="パラメタリスト/パラメタ1" />
		][#1:<xsl:value-of select="パラメタリスト/パラメタ2" />
		～<xsl:value-of select="パラメタリスト/パラメタ3" />]<br />
		
		<xsl:if test="攻撃情報/射程 != 0">
			射程:<xsl:value-of select="攻撃情報/射程" />
		</xsl:if>
		<xsl:if test="攻撃情報/攻撃速度 != 0">
			攻撃速度:<xsl:value-of select="攻撃情報/攻撃速度" />
		</xsl:if>
		<xsl:if test="攻撃情報/下限攻撃力 != 0">
			攻撃力:<xsl:value-of select="攻撃情報/下限攻撃力" />
		～<xsl:value-of select="攻撃情報/上限攻撃力" /><br />
		</xsl:if>
		<xsl:for-each select="オプションリスト/オプション">
			OP<xsl:number value="position()" format="1"/>:
			<xsl:value-of select="current()" /><br />
		</xsl:for-each>
	
		<xsl:if test="装備要求 != ''">装備要求=</xsl:if>
		<xsl:for-each select="./装備要求">
			<xsl:if test="レベル != ''">
				レベル：<xsl:value-of select="レベル" />
			</xsl:if>
			<xsl:if test="力 != ''">
				力：<xsl:value-of select="力" />
			</xsl:if>
			<xsl:if test="敏捷 != ''">
				敏捷：<xsl:value-of select="敏捷" />
			</xsl:if>
			<xsl:if test="健康 != ''">
				健康：<xsl:value-of select="健康" />
			</xsl:if>
			<xsl:if test="運 != ''">
				運：<xsl:value-of select="運" />
			</xsl:if>
			<xsl:if test="知識 != ''">
				知識：<xsl:value-of select="知識" />
			</xsl:if>
			<xsl:if test="知恵 != ''">
				知恵：<xsl:value-of select="知恵" />
			</xsl:if>
			<xsl:if test="カリスマ != ''">
				カリスマ：<xsl:value-of select="カリスマ" />
			</xsl:if>
		</xsl:for-each>
		<xsl:if test="装備要求 != ''"><br /></xsl:if>
		価格：<xsl:value-of select="価格" />
		計算タイプ:<xsl:value-of select="価格/@価格計算タイプ" /><br />
		重ね起き可能：<xsl:value-of select="重ね置き可能数" /><br />
		耐久力減少型：<xsl:value-of select="耐久力減少型" />型<br />
		ドロップレベル：<xsl:value-of select="ドロップレベル" />
		(<xsl:value-of select="ドロップ係数" />)<br />
		説明：<xsl:value-of select="説明" /><br />
		<br />
	</xsl:if>
</xsl:for-each>
</body>
</html>
</xsl:template>
</xsl:stylesheet>